package jrummikub.view;

import jrummikub.model.GameSettings;
import jrummikub.util.IEvent1;

/**
 * The panel for the game setup
 */
public interface ISettingsPanel {
	/**
	 * The settings change event is emitted whenever the user has changed a game
	 * settings without starting the game
	 * 
	 * @return the event
	 */
	public IEvent1<GameSettings> getSettingsChangeEvent();

	/**
	 * the start game event is emitted when the user wants to start the game
	 * 
	 * @return the event
	 */
	public IEvent1<GameSettings> getStartGameEvent();
}